작업 목록
curl --request GET \
--url https://api.studio.thezet.io/v1/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.studio.thezet.io/v1/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.thezet.io/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.studio.thezet.io/v1/generations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.studio.thezet.io/v1/generations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.studio.thezet.io/v1/generations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.studio.thezet.io/v1/generations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"generations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"terminal": true,
"model": "<string>",
"model_name": "<string>",
"modality": "image",
"prompt": "<string>",
"params": {},
"price_usd": "<string>",
"created_at": "<string>",
"deleted_at": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"outputs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "image",
"url": "<string>",
"mime_type": "<string>",
"width": 123,
"height": 123
}
]
}
],
"next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}생성
작업 목록
API로 만든 작업을 최신순으로 줘요. 사이트에서 만든 작업은 나오지 않아요.
GET
/
generations
작업 목록
curl --request GET \
--url https://api.studio.thezet.io/v1/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.studio.thezet.io/v1/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.thezet.io/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.studio.thezet.io/v1/generations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.studio.thezet.io/v1/generations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.studio.thezet.io/v1/generations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.studio.thezet.io/v1/generations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"generations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"terminal": true,
"model": "<string>",
"model_name": "<string>",
"modality": "image",
"prompt": "<string>",
"params": {},
"price_usd": "<string>",
"created_at": "<string>",
"deleted_at": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"outputs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "image",
"url": "<string>",
"mime_type": "<string>",
"width": 123,
"height": 123
}
]
}
],
"next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123
}
}인증
bearerAuthapiKeyAuth
Authorization: Bearer <API 키>
헤더
ko면 메시지를 한국어로 줘요. 기본은 영어예요.
쿼리 매개변수
한 번에 받을 개수예요.
필수 범위:
1 <= x <= 100이전 응답의 next_cursor 값이에요.
이 상태인 작업만 받아요.
사용 가능한 옵션:
queued, running, succeeded, failed, canceled 이 모델의 작업만 받아요.
응답
작업 목록이에요.